Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.signature
Interface JCAStandardNames

public abstract interface JCAStandardNames

Java cryptography standard algorithm names as used by the signature card services.
For an exact definition of the algorithms see http://java.sun.com/products/jdk/1.2/docs/guide/security/CryptoSpec.html.

Field Summary
`static java.lang.String` | `DES_CIPHER` DES ciphering
`static java.lang.String` | `ISO_PADDING` ISO 9796
`static java.lang.String` | `MD5` MD5 hash
`static java.lang.String` | `PKCS_PADDING` PKCS # 1 padding
`static java.lang.String` | `PKCS8_PADDING` PKCS # 8 padding
`static java.lang.String` | `RAW_DSA` DSA assymetric PKA algorithm (without hashing)
`static java.lang.String` | `RAW_RSA` RSA pka algorithm (without hashing)
`static java.lang.String` | `SHA1` SHA-1 hash
`static java.lang.String` | `SHA1_DSA` DSA pka algorithm including SHA-1 hashing
`static java.lang.String` | `SHA1_RSA` SHA-1 hash and RSA pka algorithm
`static java.lang.String` | `ZERO_PADDING` zero padding

Field Detail

### SHA1_RSA

    public static final java.lang.String SHA1_RSA

  SHA-1 hash and RSA pka algorithm

### RAW_RSA

    public static final java.lang.String RAW_RSA

  RSA pka algorithm (without hashing)

### SHA1_DSA

    public static final java.lang.String SHA1_DSA

  DSA pka algorithm including SHA-1 hashing

### RAW_DSA

    public static final java.lang.String RAW_DSA

  DSA assymetric PKA algorithm (without hashing)

### SHA1

    public static final java.lang.String SHA1

  SHA-1 hash

### MD5

    public static final java.lang.String MD5

  MD5 hash

### ZERO_PADDING

    public static final java.lang.String ZERO_PADDING

  zero padding

### PKCS_PADDING

    public static final java.lang.String PKCS_PADDING

  PKCS # 1 padding

### PKCS8_PADDING

    public static final java.lang.String PKCS8_PADDING

  PKCS # 8 padding

### ISO_PADDING

    public static final java.lang.String ISO_PADDING

  ISO 9796

### DES_CIPHER

    public static final java.lang.String DES_CIPHER

  DES ciphering

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD